/* General Body Styles */
body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
}

/* Header and Navigation */
header {
    background-color: #ffffff;
    color: #333;
    padding: 10px 20px;
    border-bottom: 1px solid #e7e7e7;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo img {
    height: 50px;
    width: auto;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

nav ul li {
    margin-left: 3px;
}

nav ul li a {
    color: #333333;
    text-decoration: none;
    font-weight: bold;
    padding: 5px 10px;
    border-radius: 4px;
    transition: background-color 0.3s ease, color 0.3s ease;
}

nav ul li a:hover,
nav ul li a.active {
    background-color: #e90b00;
    color: #ffffff;
}

.maincontainer {
    padding: 20px 20px 0px 20px;
}


#trinfo {
    text-align: center;
    padding: 20px 20px;
    background: linear-gradient(rgba(255, 255, 255, 0.75), rgba(255, 255, 255, 0.75));
    border-radius: 8px;
}

#trinfo h1 {
    font-size: 2em;
    margin-bottom: 10px;
    color: #333;
    border-bottom: 3px solid #e90b00; /* #ff0000;*/
}

#trinfo img {
    max-width: 100%;
    object-fit: cover;
}

#trinfo p {
    font-size: 1em;
    color: #555;
}


.background-container-technology {
    position: relative;
    height: 100%;
    background-image: linear-gradient(rgba(255, 255, 255, 0.75), rgba(255, 255, 255, 0.75)), url('https://thinkingrobots.ai/industrybackground.png');
    background-size: cover;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.background-container-product {
    position: relative;
    height: 100%;
    background-image: linear-gradient(rgba(255, 255, 255, 0.75), rgba(255, 255, 255, 0.75)), url('https://thinkingrobots.ai/industrybackground2.png');
    background-size: cover;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.text-container {
    width: 100%;
    max-height: 80vh;
    overflow-y: auto;
    padding: 20px;
}

.text-container iframe {
    max-width: 100%;
    object-fit: contain;
    border-radius: 15px;
}

.text-container::-webkit-scrollbar {
    width: 0px;
}

.text-container {
    scrollbar-width: thin;
    scrollbar-color: transparent transparent;
}

.text-container h3 {
    font-size: 1.2em;
    margin-bottom: 3px;
    color: #333;
}

footer {
    background-color: #ffffff;
    color: #333;
    text-align: center;
    padding: 10px 0px;
    position: relative;
    width: 100%;
    border-top: 1px solid #e7e7e7;
}

.vertical-scrollbox {
    height: 100px;
    overflow: hidden;
    position: relative;
    background-color: #e7e7e7;
}

.scrollbox-content {
    text-align: left;    
    position: absolute;
    top: 100%;
    font-size: 1em;
    animation: vertical-scrollbox 15s linear infinite;
}

.vertical-scrollbox p {
    margin: 20px;
    height: 50px;
    line-height: 100px;
}

@keyframes vertical-scrollbox {
    0% {
        top: 50%;
    }
    100% {
        top: -400%;
    }
}

.vertical-scrollbox:hover 
.scrollbox-content {
    animation-play-state: paused;
}
